net.dontdrinkandroot.visualization.item.descriptor

## Class EdgeDescriptor

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.descriptor.EdgeDescriptor

    public class EdgeDescriptor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EdgeDescriptor(Path2D path)`

### Method Summary

Methods
`Path2D` `getPath()`
`void` `setPath(Path2D path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdgeDescriptor

    public EdgeDescriptor(Path2D path)

### Method Detail

#### setPath

    public void setPath(Path2D path)

#### getPath

    public Path2D getPath()